## kicad 0.20140622+bzr4027

=== CMakeLists.txt ===
project(kicad)

# The minimum CMake version requirement could be different under unix, OSX,  or Windows
if(WIN32)
    cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)   # win32 and win64
elseif(APPLE)
    cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)   # OSX
else()
    cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)   # Linux, Unix, and everything else.
endif()

# Path to local CMake modules.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeModules)

#
# KiCad build options should be added below.
#
# If you add a new build option, please add it's state to the CopyVersionInfoToClipboard()
# function in common/basicframe.cpp so that build option settings can be included in bug
# reports.
#

option(USE_PCBNEW_NANOMETRES
    "Use nanometers for Pcbnew internal units instead of deci-mils (default ON)." ON)

# Russian GOST patch
option(wxUSE_UNICODE "enable/disable building unicode (default OFF)")
option(KICAD_GOST "enable/disable building using GOST notation for multiple gates per package (default OFF)")

#for those who bored with uppercase
option(KICAD_KEEPCASE "turn-off automatic component name conversion to uppercase if selected")

option(USE_WX_GRAPHICS_CONTEXT
    "Use wxGraphicsContext for rendering (default OFF). Warning, this is experimental")

option(USE_WX_OVERLAY
    "Use wxOverlay: Always ON for MAC (default OFF). Warning, this is experimental")

#One of these 2 option *must* be set to ON:
option(KICAD_STABLE_VERSION
    "set this option to ON to build the stable version of KICAD. mainly used to set version ID (default OFF)"
    )

option(KICAD_TESTING_VERSION
    "set this option to ON to build the testing version of KICAD. mainly used to set version ID (default OFF)"
    )

option(KICAD_SCRIPTING
    "set this option ON to build the scripting support inside kicad binaries"
    )

option(KICAD_SCRIPTING_MODULES
    "set this option ON to build kicad modules that can be used from scripting languages"
    )

option(KICAD_SCRIPTING_WXPYTHON
    "set this option ON to build wxpython implementation for wx interface building in python and py.shell"
    )

# when option KICAD_SCRIPTING OR KICAD_SCRIPTING_MODULES is enabled:
# PYTHON_EXECUTABLE can be defined when invoking cmake
# ( use -DPYTHON_EXECUTABLE=<python path>/python.exe or python2 )
# when not defined by user, the default is python.exe under Windows and python2 for others
# python binary file should be is exec path.


option(USE_FP_LIB_TABLE "Use the new footprint library table implementation. (default OFF)")

#Set version option (stable or testing)

if(KICAD_STABLE_VERSION AND KICAD_TESTING_VERSION )
    message(FATAL_ERROR "Only one KiCad build version option KICAD_TESTING_VERSION or KICAD_STABLE_VERSION can be set to ON")
elseif(NOT KICAD_STABLE_VERSION AND NOT KICAD_TESTING_VERSION)
    message(FATAL_ERROR "Either KiCad build version option KICAD_TESTING_VERSION or KICAD_STABLE_VERSION must be set to ON")
elseif(KICAD_STABLE_VERSION)
    add_definitions(-DKICAD_STABLE_VERSION)
    message( "Build stable version of KiCad")
else()
    add_definitions(-DKICAD_TESTING_VERSION)
    message("Build testing (unstable) version of KiCad")
endif()


#================================================
# Set flags for GCC.
#================================================

if(CMAKE_COMPILER_IS_GNUCXX)

    set(KICAD_GCC_RELEASE_BUILD_FLAGS "-O2")
    set(KICAD_GCC_RELEASE_DEBUG_FLAGS "")

    execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
        OUTPUT_VARIABLE GCC_VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Added -Wno-narrowing on 10/7/12 to prevent a huge number of warnings when
    # compiling with GCC 4.7.  This appears to be caused by and int to unsigned
    # conversion in the Boost polygon library.  At some point in the future when
    # Boost is updated to the next version, -Wno-narrowing should be removed to
    # see if the problem has been resolved.  Wayne.
    #
    # Also note the optimization level is -O1 instead of the usual -O2 level
    # because boost::polygon has a function (inflate polygon) broken by
    # the -O2 level with GCC 4.7 (works fine with  with GCC 4.6).
    # This lower optimization level does not have a significant change on the speed.
    #
    # As newer versions of GCC and/or Boost are released, this code needs reviewed to
    # determine if the problems above have been fixed either in Boost or GCC.
    if(GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
        set(KICAD_GCC_RELEASE_BUILD_FLAGS "-Wno-narrowing -O1")
        set(KICAD_GCC_DEBUG_BUILD_FLAGS "-Wno-narrowing")
    endif()

    if(CMAKE_BUILD_TYPE STREQUAL Debug)
        message(STATUS
            "Setting GCC version ${GCC_VERSION} build flags \"${KICAD_GCC_DEBUG_BUILD_FLAGS}\"")
    else()
        message(STATUS
            "Setting GCC version ${GCC_VERSION} build flags \"${KICAD_GCC_RELEASE_BUILD_FLAGS}\"")
    endif()

    if(MINGW)
        # According to some sources, under Windows -fPIC option is not needed:
        # http://mingw.5.n7.nabble.com/Option-fPIC-not-supported-td18480.html

        # Set default flags for Release build.
        set(CMAKE_C_FLAGS_RELEASE "-Wall ${KICAD_GCC_RELEASE_BUILD_FLAGS} -DNDEBUG")
        set(CMAKE_CXX_FLAGS_RELEASE "-Wall ${KICAD_GCC_RELEASE_BUILD_FLAGS} -DNDEBUG")
        set(CMAKE_EXE_LINKER_FLAGS_RELEASE "-s -static-libgcc -static-libstdc++")

        # Set default flags for Debug build.
        set(CMAKE_C_FLAGS_DEBUG "-Wall ${KICAD_GCC_DEBUG_BUILD_FLAGS} -g3 -ggdb3 -DDEBUG")
        set(CMAKE_CXX_FLAGS_DEBUG "-Wall ${KICAD_GCC_DEBUG_BUILD_FLAGS} -g3 -ggdb3 -DDEBUG")
        set(CMAKE_MODULE_LINKER_FLAGS "-static-libgcc -static-libstdc++") # SWIG macros on Windows

        # _UNICODE definition seems needed under mingw/gcc 4.8
        # (Kicad uses unicode, and on Windows, wxWidgets >= 2.9.4 is mandatory
        # and uses unicode)
        if( GCC_VERSION VERSION_EQUAL 4.8.0 OR GCC_VERSION VERSION_GREATER 4.8.0 )
            add_definitions(-D_UNICODE)
        endif()

        # Since version 2.8.5, Cmake uses a response file (.rsp) to
        # pass the list of include paths to gcc
        # unfortunately, under mingw32+msys, at least with gcc 4.8 and previous,
        # this file is not expanded and include paths defined in this file are not taken in account
        # this is the case of wxWidgets includes
        # Disable this response file for includes ( See Windows-GNU.cmake module )
        if( WIN32 AND MSYS AND NOT CMAKE_CROSSCOMPILING )
            # fixme: it is needed only with MSYS+MINGW32? or always under MINGW
            if (${CMAKE_SIZEOF_VOID_P} MATCHES 4)
                set(CMAKE_CXX_USE_RESPONSE_FILE_FOR_INCLUDES 0)
            endif()
        endif()

    else()
        # We build DLL/DSOs from static libraries, so create position independent code
        # for all cases, since we do not have DLL/DSO specific static libraries.
        # This flag could be localized to any object file going into a DLL/DSO in the future.
        set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
        set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )

        # Thou shalt not link vaporware and tell us it's a valid DSO:
        set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined")
        set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined") # needed by SWIG macros on linux

        # Set default flags for Release build.
        set(CMAKE_C_FLAGS_RELEASE "${KICAD_GCC_RELEASE_BUILD_FLAGS} -Wall -DNDEBUG")
        set(CMAKE_CXX_FLAGS_RELEASE "${KICAD_GCC_RELEASE_BUILD_FLAGS} -Wall -DNDEBUG")
        set(CMAKE_EXE_LINKER_FLAGS_RELEASE "-s")

        # Set default flags for Debug build.
        set(CMAKE_C_FLAGS_DEBUG "${KICAD_GCC_DEBUG_BUILD_FLAGS} -Wall  -g3 -ggdb3 -DDEBUG")
        set(CMAKE_CXX_FLAGS_DEBUG "${KICAD_GCC_DEBUG_BUILD_FLAGS} -Wall -g3 -ggdb3 -DDEBUG")
    endif()

    # quiet GCC 4.8.1 while in boost
    if( GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8 )
        set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-local-typedefs" )
    endif()

endif(CMAKE_COMPILER_IS_GNUCXX)

if(wxUSE_UNICODE)
    add_definitions(-DwxUSE_UNICODE)
endif()

if(KICAD_GOST)
    add_definitions(-DKICAD_GOST)
endif()

if(KICAD_KEEPCASE)
    add_definitions(-DKICAD_KEEPCASE)
endif()

if(USE_WX_OVERLAY OR APPLE)
    add_definitions(-DUSE_WX_OVERLAY)
endif()

if(KICAD_SCRIPTING)
    add_definitions(-DKICAD_SCRIPTING)
endif()

if(KICAD_SCRIPTING_MODULES)
    add_definitions(-DKICAD_SCRIPTING_MODULES)
endif()

if(KICAD_SCRIPTING_WXPYTHON)
    add_definitions(-DKICAD_SCRIPTING_WXPYTHON)
endif()

if(USE_WX_GRAPHICS_CONTEXT)
    add_definitions(-DUSE_WX_GRAPHICS_CONTEXT)
endif()

# Allow user to override the default settings for adding images to menu items.  By default
# images in menu items are enabled on all platforms except OSX.  This can be over ridden by
# defining -DUSE_IMAGES_IN_MENUS=ON/OFF to force the preferred behavior.
if(NOT DEFINED USE_IMAGES_IN_MENUS)
    if(NOT APPLE)
        set(USE_IMAGES_IN_MENUS ON)
    endif()
else()
    if(USE_IMAGES_IN_MENUS)
        set(USE_IMAGES_IN_MENUS ON)
    endif()
endif()

# Locations for install targets.
set(KICAD_BIN bin
    CACHE PATH "Location of KiCad binaries.")

if(UNIX)
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set(KICAD_PLUGINS lib/kicad/plugins
        CACHE PATH "Location of KiCad plugins.")
    set(KICAD_DATA share/kicad
        CACHE PATH "Location of KiCad data files.")
    set(KICAD_DOCS share/doc/kicad
        CACHE PATH "Location of KiCad documentation files.")
endif()

if(MINGW)
    # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
    set(CMAKE_INSTALL_PREFIX c:/kicad
        CACHE PATH "")
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set(KICAD_PLUGINS ${KICAD_BIN}/plugins
        CACHE PATH "Location of KiCad plugins.")
    set(KICAD_DATA share
        CACHE PATH "Location of KiCad data files.")
    set(KICAD_DOCS doc
        CACHE PATH "Location of KiCad documentation files.")
endif()

set(KICAD_DEMOS ${KICAD_DATA}/demos
    CACHE PATH "Location of KiCad demo files.")
set(KICAD_TEMPLATE ${KICAD_DATA}/template
    CACHE PATH "Location of KiCad template files.")

mark_as_advanced(KICAD_BIN
    KICAD_PLUGINS
    KICAD_DATA
    KICAD_DOCS
    KICAD_DEMOS
    KICAD_TEMPLATE)

include(Functions)

#================================================
# Find libraries that are needed to build KiCad.
#================================================
include(CheckFindPackageResult)

#######################
# Find OpenGL library #
#######################
find_package(OpenGL QUIET)
check_find_package_result(OPENGL_FOUND "OpenGL")

######################
# Find Boost library #
######################
# kicad now includes needed boost files.
# the two next lines can be uncommented to use the native boost lib.
# but this is not a good idea
#find_package(Boost 1.36 QUIET)
#check_find_package_result(Boost_FOUND "Boost")

##########################
# Find wxWidgets library #
##########################
# Here you can define what libraries of wxWidgets you need for your
# application. You can figure out what libraries you need here;
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html

# On Apple only wxwidgets 2.9 or higher doesn't need to find aui part of base
if(APPLE)
    find_package(wxWidgets COMPONENTS gl adv html core net base xml QUIET)
else(APPLE)
    find_package(wxWidgets COMPONENTS gl aui adv html core net base xml QUIET)
endif(APPLE)
check_find_package_result(wxWidgets_FOUND "wxWidgets")


# Include wxWidgets macros.
include(${wxWidgets_USE_FILE})

# Include MinGW resource compiler.
include(MinGWResourceCompiler)

# Generate build system specific header file.
include(PerformFeatureChecks)
perform_feature_checks()

# Find GDI+ on windows if wxGraphicsContext is available.
if(MINGW AND USE_WX_GRAPHICS_CONTEXT)
    find_package(GdiPlus)

=== 3d-viewer/CMakeLists.txt ===
add_definitions(-DPCBNEW)

include_directories(BEFORE ${INC_BEFORE})
include_directories(
    ${Boost_INCLUDE_DIR}
    ../pcbnew
    ../polygon
    ${INC_AFTER}
    )

set(3D-VIEWER_SRCS
    3d_aux.cpp
    3d_canvas.cpp
    3d_class.cpp
    3d_draw.cpp
    3d_draw_basic_functions.cpp
    3d_frame.cpp
    3d_read_mesh.cpp
    3d_toolbar.cpp
    info3d_visu.cpp
    trackball.cpp
    )

add_library(3d-viewer STATIC ${3D-VIEWER_SRCS})

=== demos/CMakeLists.txt ===
install(DIRECTORY complex_hierarchy ecc83 electric flat_hierarchy
                  kit-dev-coldfire-xilinx_5213 interf_u microwave
                  pic_programmer pspice "sonde xilinx" test_xil_95108 video
        DESTINATION ${KICAD_DEMOS}
        COMPONENT resources
        PATTERN ".svn" EXCLUDE)

=== library/CMakeLists.txt ===
project(kicad-library)

if(WIN32)
    cmake_minimum_required(VERSION 2.6.1 FATAL_ERROR)
else(WIN32)
    cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
endif(WIN32)

# Locations for install targets.
if(UNIX)
    if(APPLE)
    else(APPLE)
        # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
        set(CMAKE_INSTALL_PREFIX /usr/local
            CACHE PATH "")
        # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
        set(KICAD_DATA share/kicad
            CACHE PATH "Location of KiCad data files.")
        set(KICAD_MODULES ${KICAD_DATA}/modules)
        set(KICAD_LIBRARY ${KICAD_DATA}/library)
        set(KICAD_TEMPLATES ${KICAD_DATA}/template)
    endif(APPLE)
endif(UNIX)

if(WIN32)
    # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
    set(CMAKE_INSTALL_PREFIX c:/kicad
        CACHE PATH "")
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set(KICAD_MODULES modules)
    set(KICAD_LIBRARY library)
    set(KICAD_TEMPLATES template)
endif(WIN32)

mark_as_advanced( KICAD_DATA KICAD_MODULES KICAD_LIBRARY )


#================================================
# "make uninstall" rules
#================================================
configure_file(
    "${PROJECT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY )

add_custom_target( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" )


# CMake will look in these dirs for nested 'CMakeLists.txt' files.
# Resources.
add_subdirectory(library)
add_subdirectory(modules)
add_subdirectory(template)

=== library/library/CMakeLists.txt ===
file(GLOB dcm_files "*.dcm")
file(GLOB lib_files "*.lib")
file(GLOB sym_files "*.sym")

install(FILES ${dcm_files}
        DESTINATION ${KICAD_LIBRARY}
        COMPONENT resources)

install(FILES ${lib_files}
        DESTINATION ${KICAD_LIBRARY}
        COMPONENT resources)

install(FILES ${sym_files}
        DESTINATION ${KICAD_LIBRARY}
        COMPONENT resources)

add_subdirectory (contrib_symbols_dl1eic)

=== library/template/CMakeLists.txt ===

# "template_lst" will be a list of all templates.
# Each template is a directory here.
file( GLOB template_lst RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
#message( template_lst:${template_lst} )

# don't include CMakeLists.txt or CMakeLists.txt~ which could be in the GLOB list
string( REGEX REPLACE "CMakeLists.txt~*;?" "" template_lst "${template_lst}" )

# guard against an in tree "build"
string( REGEX REPLACE "CMakeFiles/[^;]+;?" "" template_lst "${template_lst}" )

#message( template_lst:${template_lst} )

foreach( tpl ${template_lst} )
    #message( tpl:${tpl} )
    install( DIRECTORY ${tpl} DESTINATION ${KICAD_TEMPLATES} COMPONENT templates )
endforeach()

=== debian/changelog ===
kicad (0.20140622+bzr4027-2) unstable; urgency=medium

  * added  -DCMAKE_BUILD_TYPE=Release as a definition for cmake.
    This does not fix every bug, but it removes dialogs about failed
    assertions raised by wxASSERT, which are usually non-blocking, 
    as long as one decides to continue and unactivate the assert warnings.
    Feel free to report bugs which affect user-level features.
    Closes: #749278

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Jul 2014 22:28:01 +0200

kicad (0.20140622+bzr4027-1) unstable; urgency=medium

  * added a routine to creat the version string. Closes: #749308
  * upgraded to the newest component libraries. Closes: #751994

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 22 Jun 2014 18:29:50 +0200

kicad (0.20140518+bzr4027-2) unstable; urgency=medium

  * applied Samuel Thibault's patch. Closes: #749930

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jun 2014 16:34:06 +0200

kicad (0.20140518+bzr4027-1) unstable; urgency=medium

  * retrieved the last upstream version, Closes: #741673, Closes: #741437
  * upgraded some build-dependencies, libwxgtk3.0-dev, applied a part of
    Olly Betts' patch. Closes: #741440
  * applied Dimitris Lampridis' patch. Closes: #745705
  * modified get-kikad.sh to make xz compressed file.
  * added a rule to fix permissions of ja/kicad.po
  * 

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 May 2014 14:59:05 +0200

kicad (0.20140224+bzr4027-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * It FTBFS because kicad-common is arch independent.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #741743

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 May 2014 04:33:24 +0100

kicad (0.20140224+bzr4027-3) unstable; urgency=medium

  * taken in account Samuel Thibault's hint. Closes: #740999

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Mar 2014 11:48:29 +0100

kicad (0.20140224+bzr4027-2) unstable; urgency=medium

  * fixed a bug in d/rules.
  * added a clause Conflicts: kicad-common ( << 0.20140224),
    Closes: #740276
  * Checked that the file Getting_Started_in_KiCad.pdf is distributed with
    some -doc-xy packages. Closes: #691660

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Mar 2014 02:24:33 +0100

kicad (0.20140224+bzr4027-1) unstable; urgency=medium

  * changed the lp: repository for kicad's library in order to match active
    repositories listed at
    https://code.launchpad.net/kicad/+branches?field.lifecycle=ALL&field.lifecycle-empty-marker=1&field.sort_by=most+recently+changed+first&field.sort_by-empty-marker=1
    the file debian/get-kicad.sh should be more efficient now.
    Closes: #712259
  * modified the script debian/clean_sourceless_pdf: more formats are allowed
    for source files, and the search for source files is now case-insensitive.
    names without prefixes are allowed too (they are directory names)
  * fixed a few wrong permissions in packaged files
  * modified the package assignation for files in usr/share/applications
  * modified the script debian/get-kicad.sh to add a minimum set of
    legacy footprints. Closes: #736180; Closes: #707956
  * removed bloated .ps files from the source package. Closes: #737933
  * added a dependency on imagemagick to mamange the icons at build time

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2014 15:40:26 +0100

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer:  Georges Khaznadar <georgesk@debian.org>
Uploaders: Richard Antony Burton <richardaburton@gmail.com>,
 Daniel J. Priem <danielpriem@flexserv.de>
Build-Depends: debhelper (>= 9), quilt, libx11-dev,
 libglu1-mesa-dev, libgl1-mesa-dev, mesa-common-dev,
 libwxgtk3.0-dev, libboost-dev,
 cmake (>= 2.6.0), imagemagick
Standards-Version: 3.9.5
Homepage: http://www.kicad-pcb.org

Package: kicad
Architecture: any
Depends: kicad-common (>= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}, zlib-bin
Conflicts: kicad-common ( << 0.20140224)
Suggests: extra-xdg-menus,
	kicad-doc-en | kicad-doc-fr | kicad-doc-de | kicad-doc-es | kicad-doc-hu | kicad-doc-ru | kicad-doc-zh-cn
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kicad
Replaces: kicad (<< 0.20120126+bzr3256-1)
Description: Common files used by kicad
 This package contains the component libraries and language files for Kicad.

Package: kicad-doc-de
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (German)
 This package provides documentation for Kicad in German.
 .
 This package does not provide a German translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-en
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (English)
 This package provides documentation for Kicad in English.

Package: kicad-doc-es
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Spanish)
 This package provides documentation for Kicad in Spanish.
 .
 This package does not provide a Spanish translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-fr
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (French)
 This package provides documentation for Kicad in French.

Package: kicad-doc-it
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Italian)
 This package provides documentation for Kicad in Italian.

Package: kicad-doc-hu
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Hungarian)
 This package provides documentation for Kicad in Hungarian.
 .
 This package does not provide a Hungarian translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-pl
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Polish)
 This package provides documentation for Kicad in Polish.

Package: kicad-doc-pt
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Portuguese)
 This package provides documentation for Kicad in Portuguese.

Package: kicad-doc-ru
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Russian)
 This package provides documentation for Kicad in Russian.
 .
 This package does not provide a Russian translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-zh-cn
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Simplified Chinese)
 This package provides documentation for Kicad in Simplified Chinese.
 .
 This package does not provide a Simplified Chinese translation of the manual,
 only the tutorial. Manual available in the French & English packages only.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

COMMONDIR = debian/kicad-common
PKGDIR    = debian/kicad
TMPPKGDIR = debian/tmp


%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	find . -type d -name CMakeFiles | xargs rm -rf
	rm -f $(GENERATED_FILES)
	debian/clean_sourceless_pdf

override_dh_auto_configure:
	cmake -DKICAD_STABLE_VERSION=ON -DCMAKE_BUILD_TYPE=Release .

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_install-arch:
	convert bitmaps_png/icons/icon_kicad.xpm -resize 32x32 debian/tmp/icon_kicad.xpm
	dh_install
	# fix wrong permissions and link jnlp file to usr/share
	[ ! -d $(COMMONDIR)/usr/share/kicad/internat/ja/ ] || \
	  chmod a-x $(COMMONDIR)/usr/share/kicad/internat/ja/*
	ln -s ../share/kicad/freeroute.jnlp $(PKGDIR)/usr/bin
	chmod a-x $(PKGDIR)/usr/share/kicad/freeroute.jnlp

override_dh_install-indep:
	dh_install
	# remove out-of-topic files
	find $(COMMONDIR)/usr/share/kicad -name "CMake*" -exec rm {} \;
	# fix permissions for ja/kicad.po
	find $(COMMONDIR)/usr/share/kicad -name "kicad.po" -exec chmod 644 {} \;

GENERATED_FILES = ./3d-viewer/Makefile \
	 ./3d-viewer/cmake_install.cmake \
	 ./CMakeCache.txt \
	 ./CTestTestfile.cmake \
	 ./DartConfiguration.tcl \
	 ./Makefile \
	 ./bitmap2component/Makefile \
	 ./bitmap2component/cmake_install.cmake \
	 ./bitmaps_png/Makefile \
	 ./bitmaps_png/cmake_install.cmake \
	 ./cmake_install.cmake \
	 ./cmake_uninstall.cmake \
	 ./common/Makefile \
	 ./common/cmake_install.cmake \
	 ./config.h \
	 ./cvpcb/Makefile \
	 ./cvpcb/cmake_install.cmake \
	 ./demos/Makefile \
	 ./demos/cmake_install.cmake \
	 ./eeschema/Makefile \
	 ./eeschema/cmake_install.cmake \
	 ./eeschema/plugins/Makefile \
	 ./eeschema/plugins/cmake_install.cmake \
	 ./gerbview/Makefile \
	 ./gerbview/cmake_install.cmake \
	 ./kicad/Makefile \
	 ./kicad/cmake_install.cmake \
	 ./pcb_calculator/Makefile \
	 ./pcb_calculator/cmake_install.cmake \
	 ./pcbnew/Makefile \
	 ./pcbnew/cmake_install.cmake \
	 ./polygon/Makefile \
	 ./polygon/cmake_install.cmake \
	 ./polygon/kbool/src/Makefile \
	 ./polygon/kbool/src/cmake_install.cmake \
	 ./potrace/Makefile \
	 ./potrace/cmake_install.cmake \
	 ./template/Makefile \
	 ./template/cmake_install.cmake \
	./Testing/Temporary/CTestCostData.txt \
	./Testing/Temporary/LastTest.log \
	./install_manifest.txt \
	./pcbnew/pcad2kicadpcb_plugin/Makefile \
	./pcbnew/pcad2kicadpcb_plugin/cmake_install.cmake \
	./tools/Makefile \
	./tools/cmake_install.cmake \
	./version.h

## kicad 0.20141025+bzr4029

=== debian/changelog ===
kicad (0.20141025+bzr4029-2) unstable; urgency=medium

  * modified the description of the package for Japanese documentation.
    Closes: #767647
  * modified the default path to templates. Closes: #771354

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Nov 2014 19:39:30 +0100

kicad (0.20141025+bzr4029-1) unstable; urgency=medium

  * upgraded to the newest upstream releases for the code and the components.
  * added a rule in d/rules to remove useless .ps files. Closes: #737933
  * modified kicad.pro. Closes: #763683
  * updated Standards-Version to 3.9.6
  * added a build-dependency on unoconv
  * added build rules to make PDF help files from sources
  * added the package kicad-doc-ja in d/control, and files
    d/kicad-doc-*.install, for "pt" and "ja" languages.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 10:26:51 +0100

kicad (0.20140622+bzr4027-3) unstable; urgency=medium

  * dropped the dependency on zlib-bin, since grep shows no occurence
    of "minizip" nor "miniunzip" in kicad's source. Closes:  #761320

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Sep 2014 23:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  libglu1-mesa-dev, libgl1-mesa-dev, mesa-common-dev,
  libwxgtk3.0-dev, libboost-dev,
  cmake (>= 2.6.0), imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kicad-pcb.org
 
 Package: kicad
 Architecture: any
 Depends: kicad-common (>= ${source:Version}),
- ${shlibs:Depends}, ${misc:Depends}, zlib-bin
+ ${shlibs:Depends}, ${misc:Depends}
 Conflicts: kicad-common ( << 0.20140224)
 Suggests: extra-xdg-menus,
 	kicad-doc-en | kicad-doc-fr | kicad-doc-de | kicad-doc-es | kicad-doc-hu | kicad-doc-ru | kicad-doc-zh-cn
@@ -84,6 +84,15 @@
 Description: Kicad help files (Italian)
  This package provides documentation for Kicad in Italian.
 
+Package: kicad-doc-ja
+Architecture: all
+Depends: ${misc:Depends}
+Description: Kicad help files (Japanese)
+ This package provides documentation for Kicad in Japanese.
+ .
+ This package does not provide a Japanese translation of the manual, only the
+ tutorial. Manual available in the French & English packages only.
+
 Package: kicad-doc-hu
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,16 @@
 override_dh_auto_configure:
 	cmake -DKICAD_STABLE_VERSION=ON -DCMAKE_BUILD_TYPE=Release .
 
+LANG2BUILD = $(shell ls doc/doc/help| grep -v CMake)
+buildPDF:
+	for l in $(LANG2BUILD); do \
+	  for f in $$(find doc/doc/help/$$l -name "*.odm" -o -name "*.sxg"); do \
+	    target=$$(echo doc/doc/help/$$l/$$(basename $$f)| sed 's/....$$/.pdf/'); \
+	    echo -n "Compiling $$f to $${target}... "; \
+	    unoconv -f pdf $$f 2>/dev/null && mv $$(echo $$f| sed 's/....$$/.pdf/') $${target}; \
+	    echo "[Done]"; \
+	  done; \
+	done
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
@@ -37,6 +47,8 @@
 	find $(COMMONDIR)/usr/share/kicad -name "CMake*" -exec rm {} \;
 	# fix permissions for ja/kicad.po
 	find $(COMMONDIR)/usr/share/kicad -name "kicad.po" -exec chmod 644 {} \;
+	# remove useless .ps files
+	find $(COMMONDIR) -name "*.ps" | xargs rm -f
 
 GENERATED_FILES = ./3d-viewer/Makefile \
 	 ./3d-viewer/cmake_install.cmake \
